<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>" />
<title><?php wp_title( '|', true, 'right' ); ?></title>
<?php outset_create_metadata(); ?>
<link rel="profile" href="http://gmpg.org/xfn/11" />
<link rel="stylesheet" type="text/css" media="all" href="<?php bloginfo( 'stylesheet_url' ); ?>" />
<!--[if IE 6]>
<link rel="stylesheet" type="text/css" media="all" href="<?php bloginfo( 'template_directory' ); ?>/style-ie6.css" />
<![endif]-->
<!--[if IE 7]>
<link rel="stylesheet" type="text/css" media="all" href="<?php bloginfo( 'template_directory' ); ?>/style-ie7.css" />
<![endif]-->
<!--[if IE 8]>
<link rel="stylesheet" type="text/css" media="all" href="<?php bloginfo( 'template_directory' ); ?>/style-ie8.css" />
<![endif]-->
<?php if( outset_getoption("custom_css") == "enable" ) : $custom = 'custom'; ?>
<link rel="stylesheet" type="text/css" media="all" href="<?php bloginfo( 'template_directory' ); ?>/custom/custom.css" />
<?php endif; ?>
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
<?php 
if ( is_singular() && get_option( 'thread_comments' ) )
	wp_enqueue_script( 'comment-reply' );
		
	outset_create_robots();
	outset_canonical_url();
	wp_head();
?>
</head>
<body <?php body_class($custom); ?>>
<div id="wrapper" class="hfeed">
	<div id="header">
    	<div id="masthead">
        	<div id="branding" class="clearfix" role="banner">
            	<div id="site-title"><a href="<?php echo home_url( '/' ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home">
	                <?php if( outset_getoption("custom_logo") ) { $logo = outset_getoption("custom_logo"); } else {
					$logo = get_bloginfo( 'template_directory' ) . "/library/images/logo.png"; }?>
                	<img src="<?php echo $logo; ?>" title="<?php bloginfo( 'name' ); ?>" alt="<?php bloginfo( 'name' ); ?>" /></a>
                </div>      
                <div id="site-description"><span>: <?php bloginfo('description'); ?></span></div>          
            </div><!-- #branding -->
            <div id="access" role="navigation">
            	<?php wp_nav_menu( array( 'container_class' => 'menu', 'menu_class' => 'sf-menu', 'theme_location' => 'primary' ) ); ?>
            </div><!-- #access -->
            <!-- header sub menu black -->
            <div class="clear"></div>
            <div id="header-info">
            	<a href="<?php echo (strlen(outset_getoption('outset_rss'))>0) ? outset_getoption('outset_rss') : get_bloginfo('rss2_url'); ?>" class="rss">rss</a>
                <a href="<?php echo outset_getoption('outset_skype') ?>" class="skype">Skype</a>
                <a href="<?php echo outset_getoption('outset_twitter') ?>" class="twitter">Twitter</a>
                <a href="<?php echo outset_getoption('outset_facebook') ?>" class="facebook">Facebook</a>
                <a href="mailto:<?php echo outset_getoption('outset_mail') ?>" class="email">Via Email</a>
            </div>
        </div><!-- #masthead -->
    </div><!-- #header -->
    <?php include(TEMPLATEPATH . "/library/includes/featured.php"); ?>
    <div id="main">