<?php
/**
 * POST THUMBNAIL
 */
function the_thumbnail($width = 100, $height = 100, $size = "full", $class = "post-thumbnail", $position = "c", $zoom = 1, $echo = TRUE){
	if(has_post_thumbnail( $post->ID) ) {
		$thumbnail =  wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), $size);
		
		if($echo) { ?>
			<img src="<?php bloginfo("template_directory"); ?>/timthumb.php?src=<?php echo $thumbnail[0]; ?>&amp;w=<?php echo $width; ?>&amp;h=<?php echo $height; ?>&amp;zc=<?php echo $zoom; ?>&amp;a=<?php echo $position; ?>" class="post-thumbnail <?php echo $class; ?>" title="<?php the_title(); ?>" alt="<?php the_title(); ?>" />
<?php	} else {
			return $thumbnail[0];
		}
	}
}

/**
 * REAL COMMENT COUNT
 */
function count_comment($count, $type = 'comments'){
	if($type == 'comments'){
		$text_singular = "comment";
		$text_plural = "comments";
	} elseif($type == 'trackbacks') {
		$text_singular = "trackback";
		$text_plural = "trackbacks";
	}
	
	if($count == 0) {
		$comment_text = $count . " " . $text_plural;
	}
	elseif($count == 1) {
		$comment_text = $count . " " . $text_singular;
	}
	elseif($count > 1) {
		$comment_text = $count . " " . $text_plural;
	}
	
	echo $comment_text;
}
/**
 * REMOVE FORMATTING AND LIMIT OUTPUT TEXT
 */
function truncate_text($text, $limit = 50, $more_text = ' [...]', $echo = TRUE){
	$text = str_replace(']]>', ']]&gt;', $text);
	$text = strip_tags($text);
	$text = preg_replace( '|\[(.+?)\](.+?\[/\\1\])?|s', '', $text);
	
	if( strlen($text) > $limit ){
		$text = substr($text, 0, $limit) . $more_text; }
	if($echo) {
		echo $text;
	} else {
		return $text; }
}
/**
 * CONVERT STRING TO SLUG
 */
function outset_strtoslug($str){
	$str = strtolower(trim($str));
	$str = preg_replace('/[^a-z0-9-]/', '_', $str);
	$str = preg_replace('/-+/', "_", $str);
	return $str;
}
/**
 * GET SETTINGS
 */
function outset_getoption($key, $display = FALSE){
	$setting = get_option( outset_strtoslug(THEMENAME) . "_" . $key );
	
	if(is_array( $setting )){
		foreach($setting as $option => $key){
			$exploded .= $key . ",";
		}
		$setting = substr($exploded, 0, strlen($exploded) - 1);
	}
	if($display){
		echo stripslashes($setting);
	} else {
		return stripslashes($setting);
	}
}
/**
 * GET CUSTOM FIELD VALUE
 */
function outset_getmeta($key, $postid = 0, $single = TRUE, $echo = FALSE){
	global $post;
	
	$postid = $postid <> 0 ? $postid : $post->ID;
	
	if($echo){
		echo stripslashes(get_post_meta($postid, $key, $single));
	} else {
		return stripslashes(get_post_meta($postid, $key, $single));
	}
}
?>